package de.uni_marburg.powersort.data;

import de.uni_marburg.powersort.benchmark.IntegerArray;
import de.uni_marburg.powersort.benchmark.LongFormatter;

import static de.uni_marburg.powersort.data.DataArraySizes.SIZE_DESC;

public class DescendingIntegers extends IntegerSupplier {
    public DescendingIntegers() {
        super(IntegerArray.descending(SIZE_DESC, 1));
    }

    @Override
    public String title() {
        return "Array of " + LongFormatter.formatUnderscore(readOnly.length) + " descending Integer objects.";
    }
}
